#!/usr/bin/env python

"""
Webware plug-in code.
"""

__version__ = "1.3"

from WebStack.Adapters.Webware import WebStackServletFactory
from SimpleWithLogin import get_site_map

# Change this to be the exact URL.
# eg. http://localhost:8000/myapp/login

login_url = "http://localhost/webkit/app.login"

# Change this to be the URL base for your server.
# eg. http://localhost:8000

app_url = "http://localhost" # No trailing "/"!

# Must match the key used elsewhere.

secret_key = "horses"

resource = get_site_map(app_url, login_url, secret_key)

# NOTE: Initialising a shared resource.

def InstallInWebKit(appServer):
    global resource
    app = appServer.application()

    # NOTE: Allow .simplewithlogin files only. Really, we'd like any kind of
    # NOTE: file, but that would severely undermine the servlet factory concept.

    app.addServletFactory(WebStackServletFactory(app, resource, [".simplewithlogin"]))

# vim: tabstop=4 expandtab shiftwidth=4
